DNSOptionCode
Date: 2017-02-10

javax.jmdns.impl.constants

## Enum DNSOptionCode

- java.lang.Object
- - java.lang.Enum<DNSOptionCode>
  - - javax.jmdns.impl.constants.DNSOptionCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DNSOptionCode>

      public enum DNSOptionCode
      extends java.lang.Enum<DNSOptionCode>

  DNS option code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LLQ` Long-Lived Queries Option [http://files.dns-sd.org/draft-sekar-dns-llq.txt]
    `NSID` Name Server Identifier Option [RFC5001]
    `Owner` Owner Option [draft-cheshire-edns0-owner-option]
    `UL` Update Leases Option [http://files.dns-sd.org/draft-sekar-dns-ul.txt]
    `Unknown` Token

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `externalName()` Return the string representation of this type
    `int` | `indexValue()` Return the numeric value of this type
    `static DNSOptionCode` | `resultCodeForFlags(int optioncode)`
    `java.lang.String` | `toString()`
    `static DNSOptionCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DNSOptionCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final DNSOptionCode Unknown

      Token

    - #### LLQ

          public static final DNSOptionCode LLQ

      Long-Lived Queries Option [http://files.dns-sd.org/draft-sekar-dns-llq.txt]

    - #### UL

          public static final DNSOptionCode UL

      Update Leases Option [http://files.dns-sd.org/draft-sekar-dns-ul.txt]

    - #### NSID

          public static final DNSOptionCode NSID

      Name Server Identifier Option [RFC5001]

    - #### Owner

          public static final DNSOptionCode Owner

      Owner Option [draft-cheshire-edns0-owner-option]

  - ### Method Detail

    - #### values

          public static DNSOptionCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DNSOptionCode c : DNSOptionCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DNSOptionCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### externalName

          public java.lang.String externalName()

      Return the string representation of this type
      Returns:
        String

    - #### indexValue

          public int indexValue()

      Return the numeric value of this type
      Returns:
        String

    - #### resultCodeForFlags

          public static DNSOptionCode resultCodeForFlags(int optioncode)

      Parameters:
        `optioncode` -
      Returns:
        label

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DNSOptionCode>`